
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: rpm: always mlock the rpm database

Hacky patch that mlock()s rpmdb's environment mmap(2)s, in order to
attempt to avoid spurious rpmdb corruption issues on Linux that seem
to be somehow related to pagein/pageout occuring.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/rpm.spec
===================================================================
--- SPECS.orig/rpm.spec
+++ SPECS/rpm.spec
@@ -6,7 +6,7 @@
 Summary: The RPM package management system
 Name: rpm
 Version: 4.4.2.2
-Release: 3%{?dist}
+Release: 3%{?dist}.fa1
 Group: System Environment/Base
 Url: http://www.rpm.org/
 Source: http://rpm.org/releases/rpm-4.4.x/%{name}-%{version}.tar.gz
@@ -19,6 +19,7 @@ Patch6: rpm-4.4.2.2-matchpathcon.patch
 Patch7: rpm-4.4.2.1-no-popt.patch
 Patch8: rpm-4.4.2.2-nonutf-comment.patch
 Patch9: rpm-4.4.2.2-osgideps.patch
+Patch10: rpm-4.4.2-always-mlock.patch
 
 # XXX Beware, this is one murky license, partially GPL/LGPL dual-licensed
 # and several different components with their own licenses included...
@@ -143,6 +144,7 @@ that will manipulate RPM packages and da
 %patch7 -p1 -b .no-popt
 %patch8 -p1 -b .nonutf-comment
 %patch9 -p1 -b .osgideps
+%patch10 -p1 -b .mlock
 
 # force external popt
 rm -rf popt/
